Bug 518524 - network will not activate on boot [NEEDINFO]
Summary: network will not activate on boot
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-network
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-20 18:06 UTC by Shaun Andrew
Modified: 2010-06-28 14:12 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:12:19 UTC
harald: needinfo? (shaun.andrew)


Attachments (Terms of Use)

Description Shaun Andrew 2009-08-20 18:06:38 UTC
Description of problem:  Network will not activate on boot.  Network is configured via Administration->Network Configuration.  "Activate device when computer starts" is selected on the "Ethernet Device" configuration window, but the Network will not start on boot.  I must manually activate the device after each boot in order to network.  (If "Controlled by NetworkManager" is selected on the "Ethernet Device" configuration window, then NO networking is possible until the "Controlled by NetworkManager" is deselected and the Network is started manually.)

Network is configured with a Primary & Secondary DNS, which are proxy servers.  Same exact configuration works perfectly with the exact same hardware under Fedora 8, but does not work for Fedora 11.


Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. configure network with proxy server
2. reboot system 
3. 
  
Actual results:
NO network

Expected results:
network is up

Additional info:
Fedora 11 is having trouble with Proxy Servers and proxy environment variables http_proxy and ftp_proxy.  I have these variables defined in my /etc/profile, and I have them defined in both upper case and lower case.  (I run boinc-manager under Fedora 8 via a proxy server, but cannot run same application under Fedora 11.  I believe Fedora 11 has changed and/or corrupted the proxy environment variables.

Comment 1 Harald Hoyer 2009-08-21 09:08:51 UTC
if you do not select networkmanager, did you also disable the network manager service and enable the network service?

Comment 2 Bug Zapper 2010-04-28 09:51:43 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2010-06-28 14:12:19 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.